=== debian/Makefile ===

all:
	debuild -S

binary:
	debuild -uc -us
