=== parsing_c/Makefile ===
LIBRARY=parsing_c

include ../Makefile.library
