=== debian/changelog ===
coccinelle (1.1.1.deb-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:15:37 +0100

coccinelle (1.1.1.deb-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:22:34 +0100

coccinelle (1.1.1.deb-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch
  * Fix debian/gbp.conf

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Dec 2021 17:10:10 +0100
