=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

VIM_ADIR = $(CURDIR)/debian/coccinelle/usr/share/vim/addons
VIM_RDIR = $(CURDIR)/debian/coccinelle/usr/share/vim/registry

CONFIG_FLAGS = --prefix=/usr --sysconfdir=/etc --libdir=/usr/lib \
  --enable-ocaml --enable-python

ifeq ($(OCAML_NATDYNLINK),yes)
CONFIG_FLAGS += --enable-opt
else
CONFIG_FLAGS += --disable-opt
endif

# Force pdflatex to use SOURCE_DATE_EPOCH for \today
export FORCE_SOURCE_DATE = 1

%:
	dh $@ --with ocaml,python3,autoreconf

override_dh_auto_configure:
	./configure $(CONFIG_FLAGS)

override_dh_auto_build-indep:
	$(MAKE) -C docs/manual pdf

override_dh_auto_test-arch:
	$(MAKE) check || echo "IGNORING FAILED TESTS"

override_dh_auto_test-indep:
	# nothing

override_dh_auto_install-arch:
	$(MAKE) DESTDIR=$(CURDIR)/debian/coccinelle install install-bash

	# Vim files
	install -d $(VIM_ADIR)/ftdetect $(VIM_ADIR)/syntax
	cp $(CURDIR)/editors/vim/ftdetect/cocci.vim $(VIM_ADIR)/ftdetect/
	cp $(CURDIR)/editors/vim/syntax/cocci.vim $(VIM_ADIR)/syntax/
	install -d $(VIM_RDIR)
	cp $(CURDIR)/debian/coccinelle.yaml $(VIM_RDIR)/

	# Emacs files
	cp $(CURDIR)/editors/emacs/cocci.el $(CURDIR)/debian/coccinelle/usr/share/emacs/site-lisp/

override_dh_auto_install-indep:
	# Nothing

override_dh_compress:
	dh_compress -X.pdf -X.cocci -X.c
