=== debian/watch ===
version=4
opts=uversionmangle=s/(.*)/$1\.deb/ \
   https://github.com/coccinelle/coccinelle/tags .*/([0-9.]+)\.tar\.gz
