=== debian/changelog ===
coccinelle (1.2.deb-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:29:45 +0200

coccinelle (1.2.deb-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 13 Jul 2024 14:01:27 +0200

coccinelle (1.1.1.deb-6) unstable; urgency=medium

  * Team upload
  * Fix build with OCaml 5.2.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Jun 2024 08:50:49 +0200

coccinelle (1.1.1.deb-5) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload

  [ Bastian Germann ]
  * Drop pcre support (Closes: #1050620)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Aug 2023 19:32:03 +0200

coccinelle (1.1.1.deb-4) unstable; urgency=medium

  * Team upload
  * Disable native code compilation on armhf (Closes: #1049958) and
    riscv64

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 13:35:00 +0200

coccinelle (1.1.1.deb-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-ocaml (>= 1.0.3~).
    + Build-Depends: Drop versioned constraint on libmenhir-ocaml-dev (>=
      20090204.dfsg).
    + Build-Depends: Drop versioned constraint on libparmap-ocaml-dev (>=
      1.0~rc4-5~).
    + Build-Depends: Drop versioned constraint on menhir (>= 20090204.dfsg).
    + Build-Depends: Drop versioned constraint on ocaml-nox (>= 3.11.1-3~).
    + Build-Depends: Drop versioned constraint on pkg-config (>= 0.9.0).
    + coccinelle: Drop dependency on essential package dpkg (>= 1.17.14) in
      Pre-Depends.
    + coccinelle-doc: Drop conflict with removed package coccinelle (<<
      1.0.0~rc7.deb-4) in Replaces.
    + coccinelle-doc: Drop conflict with removed package coccinelle (<<
      1.0.0~rc7.deb-4) in Breaks.
    + Remove 1 maintscript entries from 1 files.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Aug 2023 09:26:45 +0200

coccinelle (1.1.1.deb-2) unstable; urgency=medium

  * d/rules: force configuration for python3. Thanks to Uwe Kleine-König
    for the patch (closes: #1023653).
  * Standards-Version 4.6.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Thu, 10 Nov 2022 11:21:48 +0100
