=== debian/control ===
--- 
+++ 
@@ -4,26 +4,26 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
  Ralf Treinen <treinen@debian.org>
-Build-Depends: debhelper-compat (=13),
- dh-ocaml (>= 1.0.3~),
+Build-Depends: debhelper-compat (= 13),
+ dh-ocaml,
  dh-python,
- libmenhir-ocaml-dev (>= 20090204.dfsg),
- libparmap-ocaml-dev (>= 1.0~rc4-5~),
- libpcre-ocaml-dev,
+ libmenhir-ocaml-dev,
+ libparmap-ocaml-dev,
  libstdcompat-ocaml-dev,
  libpyml-ocaml-dev,
- menhir (>= 20090204.dfsg),
+ menhir,
  ocaml-findlib,
- ocaml-nox (>= 3.11.1-3~),
- pkg-config (>= 0.9.0),
+ ocaml,
+ pkgconf,
  python3
 Build-Depends-Indep:
+ hevea,
  texlive-fonts-extra,
  texlive-fonts-recommended,
  texlive-latex-base,
  texlive-latex-extra,
  texlive-latex-recommended
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://coccinelle.lip6.fr
 Vcs-Git: https://salsa.debian.org/ocaml-team/coccinelle.git
@@ -37,7 +37,6 @@
          ${ocaml:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Pre-Depends: dpkg (>= 1.17.14)
 Suggests: coccinelle-doc, vim-addon-manager
 Description: semantic patching tool for C
  Coccinelle is a program matching and transformation tool for C.
@@ -50,8 +49,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: coccinelle (<< 1.0.0~rc7.deb-4)
-Replaces: coccinelle (<< 1.0.0~rc7.deb-4)
 Description: documentation for coccinelle
  Coccinelle is a program matching and transformation tool for C.
  The programmer describes the code to match and the transformation to
