## coccinelle 1.3.0.deb

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	ocamlextra/dumper.ml commands.ml common.ml ograph_simple.ml \
 	ograph_extended.ml
 SOURCES_globals := \
-	config.ml flag.ml iteration.ml $(REGEXP_FILE) regexp.ml
+	cocciconfig.ml flag.ml iteration.ml $(REGEXP_FILE) regexp.ml
 CLEAN_globals := regexp_pcre.ml regexp_str.ml
 SOURCES_ctl := \
 	flag_ctl.ml ast_ctl.ml pretty_print_ctl.ml ctl_engine.ml wrapper_ctl.ml
@@ -98,7 +98,7 @@
 
 PREFIX_spgen := tools/spgen/source/
 
-CORE_LIBS := unix str \
+CORE_LIBS := unix str ocamlcommon \
 	$(STDCOMPATDIR)/stdcompat \
 	$(patsubst %,bytes,$(BYTESDIR)) \
 	$(patsubst %,pcre,$(filter %/pcre.cma,$(LNKLIBS)))
@@ -191,6 +191,7 @@
 ifneq ($(OCAMLATLEAST50),no)
 SEARCH_PATHS += +str +unix +dynlink
 endif
+SEARCH_PATHS += +compiler-libs
 
 SEARCH_PATH_FLAGS := $(addprefix -I ,$(SEARCH_PATHS))
 
@@ -273,6 +274,14 @@
 .PHONY : check
 check : spatch$(TOOLS_SUFFIX)
 	./spatch$(TOOLS_SUFFIX) --testall
+
+.PHONY : check-cpp
+check-cpp:
+	cd cpptests && ../scripts/cpptests.sh
+
+.PHONY : check-cpp-html
+check-cpp-html:
+	cd cpptests && ../scripts/cpptests.sh -o cpptests.html
 
 .PHONY : clean
 clean :
@@ -390,6 +399,3 @@
 ifneq ($(MAKECMDGOALS),clean)
 ifneq ($(MAKECMDGOALS),distclean)
 ifeq ($(DEPEND_METHOD),onefile)
-.depend : $(ml_and_mli_files_but_menhir) parsing_cocci/parser_cocci_menhir.mly $(MENHIR)
-	@echo OCAMLDEP .depend
-	@$(OCAMLDEP_CMD) $(ml_and_mli_files_but_menhir) >$@ || (rm $@; false)
