=== commons/Makefile ===
LIBRARY=commons

include ../Makefile.library
