=== globals/Makefile ===
LIBRARY=globals

include ../Makefile.library
