=== ocaml/Makefile ===
LIBRARY=ocaml

include ../Makefile.library
