=== python/Makefile ===
LIBRARY=python

include ../Makefile.library
