=== debian/changelog ===
coccinelle (1.3.0.deb-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 14:11:54 +0100

coccinelle (1.3.0.deb-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:06:22 +0100

coccinelle (1.3.0.deb-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches dont-expose-parmap and dont-update-test-score
  * Do not build the coccinelle-doc package (closes: #1087437)
    - debian/control: disable this package, and the build-depend-indeps
    - debian/rules: disable override_dh_auto_build-indep
  * Standards-Version 4.7.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 19 Jan 2025 19:39:32 +0100
