=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,15 @@
 VIM_RDIR = $(CURDIR)/debian/coccinelle/usr/share/vim/registry
 
 CONFIG_FLAGS = --prefix=/usr --sysconfdir=/etc --libdir=/usr/lib \
-  --enable-ocaml --enable-python
+  --enable-ocaml --enable-python --with-python=python3
 
-ifeq ($(OCAML_NATDYNLINK),yes)
+ifeq ($(DEB_BUILD_ARCH),armhf)
+# Native code uses too much memory, see #1049958
+CONFIG_FLAGS += --disable-opt
+else ifeq ($(DEB_BUILD_ARCH),riscv64)
+# Native code compilation segfaults
+CONFIG_FLAGS += --disable-opt
+else ifeq ($(OCAML_NATDYNLINK),yes)
 CONFIG_FLAGS += --enable-opt
 else
 CONFIG_FLAGS += --disable-opt
@@ -26,8 +32,8 @@
 override_dh_auto_configure:
 	./configure $(CONFIG_FLAGS)
 
-override_dh_auto_build-indep:
-	$(MAKE) -C docs/manual pdf
+# override_dh_auto_build-indep:
+#	$(MAKE) -C docs/manual pdf
 
 override_dh_auto_test-arch:
 	$(MAKE) check || echo "IGNORING FAILED TESTS"
